<div class="form-wrap">  
  <div class="container">
    <div class="row justify-content-center">
      <div class="form-content col-sm-4 mt-4">
        
        <h3 class="text-center my-4">RECOVER ACCOUNT</h3>
        
        <div class="col-sm-12">
          <form #recoveryForm=ngForm (ngSubmit)="onSubmit()">
            <div class="form-group">
              <input type="email" class="form-control form-control-sm" placeholder="Email" name="email" [(ngModel)]="form.email" email required>
            </div>            
            <div class="form-group mt-4">
              <button type="submit" class="btn btn-primary btn-flat btn-sm" [disabled]="!recoveryForm.valid">
                <i class="fa" [ngClass]="{'fa-spinner fa-spin' : is_saving, 'fa-save': !is_saving}"></i>
                {{ button_text }}
              </button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
  